/*
		    Endeavour Archive File IO Operations
 */

#ifndef EDVARCHFIO_H
#define EDVARCHFIO_H

#include <gtk/gtk.h>
#include "edvarchobj.h"
#include "endeavour.h"

edv_archive_object_struct *EDVArchFIOStat(
	edv_core_struct *core_ptr,
	const gchar *arch_obj, const gchar *path,
	const gchar *password
);
edv_archive_object_struct **EDVArchFIOGetListing(
	edv_core_struct *core_ptr,
	const gchar *arch_obj, gint *total,
	const gchar **path, gint npaths,
	const gchar *password
);

gchar **EDVArchFIOGetComment(
	edv_core_struct *core_ptr, const gchar *arch_obj,
	gint *total
);
gint EDVArchFIOSetComment(
	edv_core_struct *core_ptr, const gchar *arch_obj,
	gchar **strv, gint strc
);

#endif	/* EDVARCHFIO_H */
